---
author: Sanchayan Maity
title: My experience as a speaker at meetup groups
tags: meetup, rust
---

When I joined my first meetup group and started going regularly, never thought I would end up speaking regularly at those meetups. I joined the [rustox](https://www.meetup.com/rustox/) meetup group in May 2017 and had been a regular since then. This meetup group was started by Ragini and Saifi, two wonderful people. They used to conduct this meetup every Sunday morning and every Sunday morning I used to end up attending the meeutp. Learned a lot from both of them. So when in the end of January 2018, they had to leave Bengaluru for quite a while for working on a project which they had taken for their own startup, I was asked to become the organizer and speaker. Had never thought of being a speaker and ended up speaking almost every other weekend.

Saifi had envisioned a series on Rust topics for beginners, which I decided to continue. The goals for 2018 are outlined [here](https://medium.com/@rustox/rust-bangalore-2018-goals-f1f16397cd47). However, I felt after a while that if we just cater to beginners and there will always be people coming on-board, we will never progress beyond a certain point. There had already been a beginners series in 2017. With that in mind and after talking with Raj, who was now the organizer for sister group [FOSS Cafe](https://www.meetup.com/fosscafe/), we decided that there would be a fundamental topic one week and the next week we would look at some crate or project. And this would alternate and keep on continuing. This also seemed in-line with the bi-modal approach which Saifi had envisioned. The first project we would look at was [Gutenberg](https://www.getgutenberg.io/), a static website engine in Rust, which is also what this blog has been generated with. On the way along with fundamental topics, we covered crates/projects like Rocket, Diesel, crossbeam, mio, tokio and futures.

There is an excellent write-up [here](https://dev.to/aspittel/public-speaking-as-a-developer-2ihj) by [Ali Spittel](https://twitter.com/ASpittel) on why you should consider public speaking as a developer. Personally, I have found two motivations for organizing and speaking at meetup groups. First, it acts as a great way to reinforce what I have learned in the process of preparing for a meetup talk. It can also be something I have been interested in learning and having spend a certain amount of time on a topic, decided to speak on it. This is what I have been doing for my [Functional Programmers Meetup](https://www.meetup.com/Bangalore-Functional-Programmers-Meetup/) as well, where I regularly try and speak on a topic in Haskell. Often I have found, my understanding has improved after giving the talk or I did not really understand something, but, during the discussion process it became much more clear. Or someone from the audience has helped me understand. Second, I have met some really interesting and wonderful people along the way. It's always nice to meet people who are passionate about something and spend their time on learning and picking it up. People with different experiences from different domains.

However, it is not all hunky dory. One of the challenges with organizing such meetups is engaging people. Am pretty sure I am not great at this, however, I try. Different people have different interests and it is not always possible to cater to everyone. Also, Rust though a great language has a steeper learning curve in comparison to something like Python. Unless one is willing to invest some time on a continuous basis, it might be difficult to pick up depending on what kind of a background one is coming from. 

Sometimes, I have been asked a question which I was not entirely comfortable answering. The question was "What is the killer app for Rust?" or it was something definitely similar from what I remember. I believe Rust on the basis of what it offers stands on it's own purely on technical merit, not to mention the great community around it. Hats off to Mozilla, Steve Klabnik, Aaron Turon and various others who have been working on Rust. Another difficulty is generally only one third of the people who RSVP actually turn up and having a consistent set of 10-15 members willing to speak or contribute code wise has been next to impossible.

Now, that 2018 is coming to a close, I am wondering what the plan for 2019 should be to take this forward and improve on what has been done in 2018. Having seen this [talk](https://www.youtube.com/watch?v=2xyZeovFqCA) recently, I think going forward we should try and understand how something like mio or Diesel actually work and have been implemented. We should aim to be producers and contributors and not just consumers. However, no matter what, I look forward to this. And last but not the least a big thanks to [HackerEarth](https://www.hackerearth.com/) who have been very forthcoming in providing us the venue for meetups in last few months and also to [91SpringBoard](http://www.91springboard.com/) and [ThoughtFactory](https://www.axisbank.com/thoughtfactory/index.html) where we conducted a lot of our earlier meetups.
